// ProObjFigurePen.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"

//#include "PropSheet.h"	// For CFDPropSheet.
//#include "ObjFigure.h"	// For FCObjFigure.

#include "ProObjFigurePen.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigurePen _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjFigurePen, CFCProObjProperty)

CFCProObjFigurePen::CFCProObjFigurePen () : CFCProObjProperty(CFCProObjFigurePen::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjFigurePen)
	//}}AFX_DATA_INIT

	/*----- _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiCmMiPiJiKpKjCgMiCmMjAnNjCoI_xHqqkZx_ -----*/
	m_prppFigure1 = NULL;

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;

//----- 00.02.21 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	m_tbIsPenRegister.Init(FALSE);
//	m_tbyPenType.Init(static_cast<BYTE>(-1));
//	m_tpridPenRegister.Init(static_cast<PenRegisterID>(-1));
//	m_tpsidPenStyle.Init(static_cast<PenStyleID>(-1));
//	m_tmmfPenWeight.Init(static_cast<fmmetol>(-1));
//	m_tscidPenForeSColor.Init(static_cast<SColorID>(-1));
//	m_tptidPenPattern.Init(static_cast<PatternID>(-1));
//	m_tscidPenBackSColor.Init(static_cast<SColorID>(-1));
////	m_tbpidPenBmpPattern.Init(static_cast<BmpPatternID>(-1));
//----- 00.02.21 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
} // CFCProObjFigurePen::CFCProObjFigurePen.

CFCProObjFigurePen::~CFCProObjFigurePen ()
{
} // CFCProObjFigurePen::~CFCProObjFigurePen.

void CFCProObjFigurePen::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjFigurePen)
	DDX_Control(pDX, IDC_FG0_STL_WEIGH_SAMPLE, m_stlPenWeightSample);
	DDX_Control(pDX, IDC_FG0_STL_PEN_SAMPLE, m_stlPenSample);
	DDX_Control(pDX, IDC_FG0_STB_BRS_SAMPLE, m_stbBrushSample);
	DDX_Control(pDX, IDC_FG0_CBB_PEN_REGISTER, m_cbbPenRegister);
	DDX_Control(pDX, IDC_FG0_CBB_PEN_STYLE, m_cbbPenStyle);
	DDX_Control(pDX, IDC_FG0_CBB_PEN_WEIGHT, m_cbbPenWeight);
	DDX_Control(pDX, IDC_FG0_CBB_PEN_BACK_S_COLOR, m_cbbPenBackSColor);
	//}}AFX_DATA_MAP
} // CFCProObjFigurePen::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjFigurePen, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjFigurePen)
	ON_BN_CLICKED(IDC_FG0_BTN_RECORD, OnFg0BtnRecord)
	ON_BN_CLICKED(IDC_FG0_BTN_REGIST, OnFg0BtnRegist)
	ON_BN_CLICKED(IDC_FG0_BTN_BACKCOL, OnFg0BtnBackcol)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
	ON_CONTROL(CBBN_EDITCHANGE, IDC_FG0_CBB_PEN_WEIGHT, OnEditchangeFg0CbbPenWeight)
	ON_CONTROL(CBBN_CLOSEUP, IDC_FG0_CBB_PEN_WEIGHT, OnCloseupFg0CbbPenWeight)
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG0_CBB_PEN_REGISTER, OnSelchangeFg0CbbPenRegister)
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG0_CBB_PEN_STYLE, OnSelchangeFg0CbbPenStyle)
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG0_CBB_PEN_WEIGHT, OnSelchangeFg0CbbPenWeight)
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG0_CBB_PEN_BACK_S_COLOR, OnSelchangeFg0CbbPenBackSColor)
//	ON_CONTROL(CBBN_SELCHANGE, IDC_FG0_CBB_PEN_PATTERN, OnSelchangeFg0CbbPenPattern)
//	ON_CONTROL(CBBN_SELCHANGE, IDC_FG0_CBB_PEN_BACK_S_COLOR, OnSelchangeFg0CbbPenBackSColor)

END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// _xZkqqHx_iDiGiBfLiDfFiKnGjAjE_xHqqkZx_.

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigurePen _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

